Bug 125945 - Admin DataSources Fail With Error 500
Admin DataSources Fail With Error 500
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-14 10:01 EDT by R. Michael Richer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R. Michael Richer 2004-06-14 10:01:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
When accessing the http://localhost/admin webpages via the mod_jk2 
connector; accessing the "Data Sources" Resource results in the 
following error:

org.apache.jasper.JasperException: No getter method for property 
domain of bean dataSourcesForm

Root Cause:

javax.servlet.ServletException: No getter method for property domain 
of bean dataSourcesForm


Version-Release number of selected component (if applicable):
tomcat-4.1.27-13 tomcat-libs-4.1.27-13 mod_jk2-4.1.27-13

How reproducible:
Always

Steps to Reproduce:
1. Start default tomcat setup
2. Access the Data Sources Resource Tab in Admin webpages
3.
    

Actual Results:  The server encountered and internal() error

Expected Results:  Access to the Data Sources, to add/modify delete 
data sources.  (Specifically, I was about to add an LDAP Realm...)

Additional info:
Comment 1 R. Michael Richer 2004-06-14 21:35:50 EDT
I have determined a little more what is happening.  I am currently 
running 1.2.1 JNDI.  I tried placing jndi.jar, and ldap.jar in the 
server/lib directory... Tomcat could now see JNDI, but not ldap.. I 
added copies of the JNDI 1.2.1 in SUN's j2sdk/jre/lib/ext directory 
as well.  Now tomcat sees both JNDI and ldap... However, the final 
clincher showed up... the LDAP jar now complains about a 
sun.misc.Base64Encoder library... From SUN's site, it says apps 
shouldn't use anything in sun.* as these can't be relied upon.  So, I 
suppose Tomcat's JNDI Realm will no longer work the SUN's reference 
LDAP provider, so another provider will need to be used (Netscape's 
LDAP or Novell's, etc.).  Unless, I'm completely off the boat.. ;)
Comment 2 R. Michael Richer 2004-06-15 08:23:09 EDT
Sorry, the last comment was bound for a different bug report.  This 
bug report is strictly for the admin data sources interface.
Comment 3 Matthew Miller 2005-04-26 12:07:07 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 John Thacker 2006-10-28 12:47:44 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.